> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoices



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/subcontract-invoices
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/subcontract-invoices:
    get:
      tags:
        - Subcontract
      summary: List Invoices
      operationId: list_invoices_api_v1_subcontract_invoices_get
      parameters:
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: subcontractOrderId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Subcontractorderid
        - name: glPosted
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Glposted
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/routers__external__subcontract__InvoiceResponse
                title: Response List Invoices Api V1 Subcontract Invoices Get
        '401':
          description: Unauthorized
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    routers__external__subcontract__InvoiceResponse:
      properties:
        id:
          type: string
          title: Id
        orgId:
          type: string
          title: Orgid
        invoiceNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoicenumber
        subcontractOrderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Subcontractorderid
        supplierId:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierid
        currency:
          type: string
          title: Currency
        subtotal:
          type: number
          title: Subtotal
        taxAmount:
          type: number
          title: Taxamount
        totalAmount:
          type: number
          title: Totalamount
        status:
          type: string
          title: Status
        glPosted:
          type: boolean
          title: Glposted
        entryId:
          anyOf:
            - type: string
            - type: 'null'
          title: Entryid
      type: object
      required:
        - id
        - orgId
        - currency
        - subtotal
        - taxAmount
        - totalAmount
        - status
        - glPosted
      title: InvoiceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````